Bug 1178274 - ath11k: Driver and firmware not included
ath11k: Driver and firmware not included
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Kernel
Current
Other Other
: P5 - None : Major (vote)
: ---
Assigned To: openSUSE Kernel Bugs
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-10-29 17:42 UTC by Lars Marowsky-Bree
Modified: 2022-09-28 12:29 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lars Marowsky-Bree 2020-10-29 17:42:54 UTC
While kernel-default 5.10rc1 (from Kernel:HEAD) includes the ath11k driver (fixed via 322b60ceb0f321b4b9c41717f7306c0dbaf0279b), the firmware is still missing even in kernel-firmware-20201023-338.1.noarch:

[   26.249141] ath11k_pci 0000:55:00.0: WARNING: ath11k PCI support is experimental!
[   26.249178] ath11k_pci 0000:55:00.0: BAR 0: assigned [mem 0x8e300000-0x8e3fffff 64bit]
[   26.249196] ath11k_pci 0000:55:00.0: enabling device (0000 -> 0002)
[   26.325561] mhi 0000:55:00.0: Requested to power ON
[   26.325648] mhi 0000:55:00.0: Power on setup success
[   26.325693] mhi 0000:55:00.0: Direct firmware load for ath11k/QCA6390/hw2.0/amss.bin failed with error -2
[   26.325695] mhi 0000:55:00.0: Error loading firmware: -2

https://github.com/kvalo/ath11k-firmware might still be missing?
Comment 1 Takashi Iwai 2020-10-29 17:47:57 UTC
It's still missing in the upstream linux-firmware git tree.  Be patient for a while :)

BTW, I didn't backport the support of ath11k for Leap 15.3 / SLE15-SP3 while most of other WiFi are updated to 5.9.  If you're interested, it's still OK to backport those stuff.
Comment 2 Dirk Mueller 2020-10-30 07:23:10 UTC
we can't package it from https://github.com/kvalo/ath11k-firmware for now? the license looks similar (haven't checked closely)
Comment 3 Takashi Iwai 2020-10-30 07:27:48 UTC
Why not creating another package on OBS at first?
Comment 4 Takashi Iwai 2020-11-03 16:44:23 UTC
I'm building a new package ath11k-firmware in my OBS home:tiwai project.
Lars, could you try it later?  Once after it's confirmed to work (more or less), I'll push it to OBS hardware project, then to TW.  Until the files are merged in linux-firmware tree, we can keep using it.
Comment 5 Lars Marowsky-Bree 2020-11-04 14:23:35 UTC
Right now I can't test - I'm relying on DisplayLink so can't upgrade to 5.10rcX, but Amazon willing, the dock will be replaced with a Thunderbolt one soon.

Setting myself to NEEDINFO so I don't forget.
Comment 6 Lars Marowsky-Bree 2020-11-05 10:53:19 UTC
Thanks for making the package available!

# rpm -q ath11k-firmware kernel-default
ath11k-firmware-20201023-5.1.noarch
kernel-default-5.10.rc2-1.1.ga51c4bb.x86_64

[   17.542762] ath11k_pci 0000:55:00.0: WARNING: ath11k PCI support is experimental!
[   17.542955] ath11k_pci 0000:55:00.0: BAR 0: assigned [mem 0x8e300000-0x8e3fffff 64bit]
[   17.542973] ath11k_pci 0000:55:00.0: enabling device (0000 -> 0002)
[   17.612372] intel-lpss 0000:00:1e.0: enabling device (0000 -> 0002)
[   17.612612] idma64 idma64.4: Found Intel integrated DMA 64-bit
[   17.612893] dw-apb-uart.4: ttyS4 at MMIO 0x4017004000 (irq = 16, base_baud = 6250000) is a 16550A
[   17.630662] NET: Registered protocol family 42
[   17.632150] pstore: Efi pstore disabled, enforce via pstore.backend=efi
[   17.632150] pstore: On a broken BIOS, this can severely harm your system
[   17.632151] pstore: Only enable efi based pstore when you know what you are doing
[   17.634876] input: PC Speaker as /devices/platform/pcspkr/input/input19
[   17.639318] snd_hda_intel 0000:00:1f.3: DSP detected with PCI class/subclass/prog-if info 0x040100
[   17.730358] mhi 0000:55:00.0: Requested to power ON
[   17.730475] mhi 0000:55:00.0: Power on setup success
[   17.730775] snd_hda_intel 0000:00:1f.3: Digital mics found on Skylake+ platform, using SOF driver
[   17.730911] input: Dell WMI hotkeys as /devices/platform/PNP0C14:02/wmi_bus/wmi_bus-PNP0C14:02/9DBB5994-A997-11DA-B012-B622A1EF5492/input/input20
[   17.731200] mhi 0000:55:00.0: Direct firmware load for ath11k/QCA6390/hw2.0/amss.bin failed with error -2
[   17.731202] mhi 0000:55:00.0: Error loading firmware: -2

Just a missing symlink, maybe?
Comment 7 Takashi Iwai 2020-11-05 11:14:18 UTC
Indeed the repo seems to have multiple *.bin files for different versions, and one must copy it somehow to the right place.

In your case, try to find '*.bin' file under /lib/firmware/ath11k/QCA6390/hw2.0, and copy or symlink to /lib/firmware/ath11k/QCA6390/hw2.0 directory.
As far as I see, multiple amss.bin and m3.bin are found:
  QCA6390/hw2.0/msm/1.0.1.c1.2/WLAN.HST.1.0.1.c1.2-00014-QCAHSTSWPL_SILICONZ-1/amss.bin
  QCA6390/hw2.0/msm/1.0.1.c1.2/WLAN.HST.1.0.1.c1.2-00014-QCAHSTSWPL_SILICONZ-1/m3.bin
  QCA6390/hw2.0/1.0.1/WLAN.HST.1.0.1-01740-QCAHSTSWPLZ_V2_TO_X86-1/amss.bin
  QCA6390/hw2.0/1.0.1/WLAN.HST.1.0.1-01740-QCAHSTSWPLZ_V2_TO_X86-1/m3.bin
  QCA6390/hw2.0/1.0.1/WLAN.HST.1.0.1-01230-QCAHSTSWPLZ_V2_TO_X86-1/m3.bin
and you'll need to choose one of them.

I have no idea what each subidrectory indicates exactly, so it'll be just a guess work.
Comment 8 Takashi Iwai 2020-11-05 13:43:23 UTC
FWIW, I updated my OBS package to provide *some* symlinks.  Let's cross fingers.
Comment 10 Lars Marowsky-Bree 2021-02-17 09:32:42 UTC
This works fine with the 5.11.0 and kernel-firmware-ath11k-20210208-354.1.noarch.

Excellent! Thanks.